/**
 * Playback Speed 
 * 
 * Move the cursor across the screen to  
 * change the speed of the video playback.  
 */

import jmcvideo.*;
import processing.opengl.*;
JMCMovie myMovie;


void setup() 
{
  size(320, 240, P2D);
  frame.setResizable(true);
  background(0);

  // Load and play the video in a loop
  myMovie = movieFromDataPath("lincoln_01.mov"); 

  //myMovie.play();
  myMovie.loop();
  //myMovie.bounce();
}

JMCMovie movieFromDataPath(String filename)
{
   return new JMCMovie(this, filename, RGB);
}


void draw() 
{
  tint(255, 20);
  image(myMovie, 0, 0, myMovie.width, myMovie.height);
  myMovie.setRate (((width/2.0-mouseX)/(width/2.0))*3.0);
}

